<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/config_edma_util.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b6c2a257bfab6380ca9b3cb94b12cb25.html">demo</a></li><li class="navelem"><a class="el" href="dir_2c9e0d57919156e517faa12522fe0912.html">xwr14xx</a></li><li class="navelem"><a class="el" href="dir_d0e0924169a62a2cc2921843855ac0c7.html">mmw</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">config_edma_util.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>EDMA Configuration Utility API implementation.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;xdc/runtime/System.h&gt;</code><br />
<code>#include &lt;ti/drivers/edma/edma.h&gt;</code><br />
<code>#include &quot;<a class="el" href="config__edma__util_8h.html">config_edma_util.h</a>&quot;</code><br />
<code>#include &quot;mmw.h&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af88687d3ac976ea7299ebfbdddac1bc6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__edma__util_8c.html#af88687d3ac976ea7299ebfbdddac1bc6">EDMAutil_configHwaOneHotSignature</a> (EDMA_Handle handle, uint8_t chId, bool isEventTriggered, uint32_t *pSrcAddress, uint32_t *pDestAddress, uint16_t aCount, uint16_t bCount, uint16_t cCount, uint16_t linkChId)</td></tr>
<tr class="separator:af88687d3ac976ea7299ebfbdddac1bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afeb7803a64f12ab6891f3810f115a858"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__edma__util_8c.html#afeb7803a64f12ab6891f3810f115a858">EDMAutil_configHwaTranspose</a> (EDMA_Handle handle, uint8_t chId, uint16_t linkChId, uint8_t chainChId, uint32_t *pSrcAddress, uint32_t *pDestAddress, uint8_t numAnt, uint16_t numRangeBins, uint16_t numChirpsPerFrame, bool isIntermediateChainingEnabled, bool isFinalChainingEnabled, bool isTransferCompletionEnabled, EDMA_transferCompletionCallbackFxn_t transferCompletionCallbackFxn, uintptr_t transferCompletionCallbackFxnArg)</td></tr>
<tr class="separator:afeb7803a64f12ab6891f3810f115a858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adab4de2cda33edf11c2979fe5759188f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__edma__util_8c.html#adab4de2cda33edf11c2979fe5759188f">EDMAutil_configHwaContiguous</a> (EDMA_Handle handle, uint8_t chId, bool isEventTriggered, uint8_t linkChId, uint8_t chainChId, uint32_t *pSrcAddress, uint32_t *pDestAddress, uint16_t numBytes, uint16_t numBlocks, uint16_t srcIncrBytes, uint16_t dstIncrBytes, bool isIntermediateChainingEnabled, bool isFinalChainingEnabled, bool isTransferCompletionEnabled, EDMA_transferCompletionCallbackFxn_t transferCompletionCallbackFxn, uintptr_t transferCompletionCallbackFxnArg)</td></tr>
<tr class="separator:adab4de2cda33edf11c2979fe5759188f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8aff508375a3bbf5933767ae41da7ad"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__edma__util_8c.html#af8aff508375a3bbf5933767ae41da7ad">EDMAutil_configSyncAwithChaining</a> (EDMA_Handle handle, uint8_t *srcBuff, uint8_t *dstBuff, uint8_t chId, uint8_t chainId, bool isEventTriggered, uint16_t shadowParamId, uint16_t aCount, uint16_t bCount, int16_t srcBIdx, int16_t dstBIdx, uint8_t eventQueueId, bool isFinalTransferInterruptEnabled, bool isFinalChainingEnabled, EDMA_transferCompletionCallbackFxn_t transferCompletionCallbackFxn, uintptr_t transferCompletionCallbackFxnArg)</td></tr>
<tr class="separator:af8aff508375a3bbf5933767ae41da7ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EDMA Configuration Utility API implementation. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="adab4de2cda33edf11c2979fe5759188f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t EDMAutil_configHwaContiguous </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isEventTriggered</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>linkChId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chainChId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pSrcAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pDestAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numBlocks</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>srcIncrBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>dstIncrBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isIntermediateChainingEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isFinalChainingEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isTransferCompletionEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_transferCompletionCallbackFxn_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxnArg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for configuring EDMA for a contiguous (as opposed to transpose) transfer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chId</td><td>Channel ID </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isEventTriggered</td><td>true if chId is event triggered else false. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">linkChId</td><td>Link Channel Id (or rather PaRAM Id) for shadow linking (reloading to prevent reprogramming). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chainChId</td><td>Chain Channel Id, chId will be chained to this. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pSrcAddress</td><td>Pointer to source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pDestAddress</td><td>Pointer to destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numBytes</td><td>Number of bytes, determines aCount (the 1st dimension of transfer). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numBlocks</td><td>Number of blocks, determines bCount (the 2nd dimension of transfer). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcIncrBytes</td><td>Source increment bytes, determines sourceBindex (jump in source address in bytes after every 1st dimension (aCount related) transfer). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstIncrBytes</td><td>Destination increment bytes, determines destinatinoBindex (jump in destination address in bytes after every 1st dimension (aCount related) transfer). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isIntermediateChainingEnabled</td><td>Set to 'true' if intermediate transfer chaining is to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isFinalChainingEnabled</td><td>Set to 'true' if final transfer chaining to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isTransferCompletionEnabled</td><td>Set to 'true' if final transfer completion indication is to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxn</td><td>Transfer completion call back function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxnArg</td><td>Argument for transfer completion call back function.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>driver error code, see "EDMA_ERROR_CODES" in EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af88687d3ac976ea7299ebfbdddac1bc6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t EDMAutil_configHwaOneHotSignature </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isEventTriggered</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pSrcAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pDestAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>bCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>cCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>linkChId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for configuring a simple EDMA transfer used for transferring a specific 32-bit word (from a table of 16 words each containing a 1-hot signature) to the HWA's DMA completion register. The counts and addresses can be obtained from HWA APIs issued for configuring HWA. This is used to implement the DMA based trigger mode of the HWACC (search for "DMA based trigger" in the HWACC spec document)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chId</td><td>Channel ID </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isEventTriggered</td><td>true if chId is event triggered else false </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pSrcAddress</td><td>Pointer to source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pDestAddress</td><td>Pointer to destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCount</td><td>A count. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bCount</td><td>B count. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cCount</td><td>C count. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">linkChId</td><td>Link Channel Id (or rather PaRAM Id) for shadow linking (reloading to prevent reprogramming).</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>driver error code, see "EDMA_ERROR_CODES" in EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afeb7803a64f12ab6891f3810f115a858"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t EDMAutil_configHwaTranspose </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>linkChId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chainChId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pSrcAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t *&#160;</td>
          <td class="paramname"><em>pDestAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numAnt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numRangeBins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numChirpsPerFrame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isIntermediateChainingEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isFinalChainingEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isTransferCompletionEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_transferCompletionCallbackFxn_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxnArg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for configuring EDMA for a transpose transfer (used to write 1D-FFT output to L3 in a transpose fashion).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chId</td><td>Channel ID </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">linkChId</td><td>Link Channel Id (or rather PaRAM Id) for shadow linking (reloading to prevent reprogramming). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chainChId</td><td>Chain Channel Id, chId will be chained to this. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pSrcAddress</td><td>Pointer to source address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pDestAddress</td><td>Pointer to destination address. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numAnt</td><td>Number of receive antennae. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numRangeBins</td><td>Number of range bins. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numChirpsPerFrame</td><td>Number of chirps per frame. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isIntermediateChainingEnabled</td><td>Set to 'true' if intermediate transfer chaining is to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isFinalChainingEnabled</td><td>Set to 'true' if final transfer chaining to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isTransferCompletionEnabled</td><td>Set to 'true' if final transfer completion indication is to be enabled. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxn</td><td>Transfer completion call back function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxnArg</td><td>Argument for transfer completion call back function.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>driver error code, see "EDMA_ERROR_CODES" in EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af8aff508375a3bbf5933767ae41da7ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t EDMAutil_configSyncAwithChaining </td>
          <td>(</td>
          <td class="paramtype">EDMA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>srcBuff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>dstBuff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>chainId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isEventTriggered</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>shadowParamId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>bCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>srcBIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>dstBIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>eventQueueId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isFinalTransferInterruptEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isFinalChainingEnabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EDMA_transferCompletionCallbackFxn_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>transferCompletionCallbackFxnArg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Utility function for configuring EDMA for a Sync A transfer transfer.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>EDMA handle. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcBuff</td><td>Pointer to source buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstBuff</td><td>Pointer to destination buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chId</td><td>Channel ID </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">chainId</td><td>Chain Channel Id, chId will be chained to this. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isEventTriggered</td><td>true if chId is event triggered else false. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">shadowParamId</td><td>Shadow Param Id </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCount</td><td>A count. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bCount</td><td>B count. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">srcBIdx</td><td>Source B index </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dstBIdx</td><td>Destination B index </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">eventQueueId</td><td>Event Queue Id on which to schedule the transfer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isFinalTransferInterruptEnabled</td><td>Set to 'true' if final transfer interrupt to be enabled </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isFinalChainingEnabled</td><td>Set to 'true' if final transfer chaining to be enabled </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxn</td><td>Transfer completion call back function. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">transferCompletionCallbackFxnArg</td><td>Transfer completion call back function argument.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">EDMA</td><td>driver error code, see "EDMA_ERROR_CODES" in EDMA API. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
